<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: button  YAHOO.widget.ButtonGroup   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Button&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_button.html">button</a>
                 &gt; YAHOO.widget.ButtonGroup 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.ButtonGroup</b>
                        <span class="extends">
                           - extends <a href="YAHOO.util.Element.html">YAHOO.util.Element</a>
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        The ButtonGroup class creates a set of buttons that are mutually exclusive; 
checking one button in the set will uncheck all others in the button group.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.widget.ButtonGroup</strong>
                                <code>
                                    (
  
                                        
                                                
                                                p_oElement



                                                , 
                                                p_oAttributes
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>p_oElement
                                                    &lt;String&gt; 
                                                    </code>
                                                     String specifying the id attribute of the 
<code>&#60;div&#62;</code> element of the button group.
                                                </dd>
                                                <dd>
                                                    <code>p_oElement
                                                    &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/
level-one-html.html#ID-22445964">HTMLDivElement</a>&gt; 
                                                    </code>
                                                     Object 
specifying the <code>&#60;div&#62;</code> element of the button group.
                                                </dd>
                                                <dd>
                                                    <code>p_oElement
                                                    &lt;Object&gt; 
                                                    </code>
                                                     Object literal specifying a set of 
configuration attributes used to create the button group.
                                                </dd>
                                                <dd>
                                                    <code>p_oAttributes
                                                    &lt;Object&gt; 
                                                    </code>
                                                     Optional. Object literal specifying a set of 
configuration attributes used to create the button group.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="_buttons">_buttons</a>
                                        <code>- protected Array</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Array of buttons in the button group.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: null
                                    </div>        


                                    <hr />
                                    <h4><a name="_oninitAttributeValue">_oninitAttributeValue</a>
                                        <code>- protected Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Object reference to the button group's current value for the 
"oninit" configuration attribute.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: null
                                    </div>        


                                    <hr />
                                    <h4><a name="CSS_CLASS_NAME">CSS_CLASS_NAME</a>
                                        <code>- final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            String representing the CSS class(es) to be applied to the 
button group's element.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: "yuibuttongroup"
                                    </div>        


                                    <hr />
                                    <h4><a name="TAG_NAME">TAG_NAME</a>
                                        <code>- final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The name of the tag to be used for the button group's element.
                                        </div>
                                    </div>
     
                                        
                                    <div class="default">
                                        Default Value: "DIV"
                                    </div>        


                                    <hr />


                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.util.Element.html">YAHOO.util.Element</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.util.Element.html#DOM_EVENTS">DOM_EVENTS</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.util.AttributeProvider.html">YAHOO.util.AttributeProvider</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.util.AttributeProvider.html#_configs">_configs</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.util.EventProvider.html">YAHOO.util.EventProvider</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.util.EventProvider.html#__yui_events">__yui_events</a>,
                                        <a href="YAHOO.util.EventProvider.html#__yui_subscribers">__yui_subscribers</a>
                                </code>
                            </div>
                        </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="_createGroupElement">_createGroupElement</a></h4>
                                    <div class="detail">
                                        <code>
                                         protected 
                                        
                                        
                                        <a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/
level-one-html.html#ID-22445964">HTMLDivElement</a>
                                            <strong>_createGroupElement</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Creates the button group's element.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        <a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/
level-one-html.html#ID-22445964">HTMLDivElement</a>
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="_onAppendTo">_onAppendTo</a></h4>
                                    <div class="detail">
                                        <code>
                                         protected 
                                        
                                        
                                        void
                                            <strong>_onAppendTo</strong>
                                           (
                                                
                                                        
                                                         p_oEvent
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "appendTo" event handler for the button group.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oEvent &lt;Event&gt;</code>
                                                             Object representing the event that was fired.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="_onButtonCheckedChange">_onButtonCheckedChange</a></h4>
                                    <div class="detail">
                                        <code>
                                         protected 
                                        
                                        
                                        void
                                            <strong>_onButtonCheckedChange</strong>
                                           (
                                                
                                                        
                                                         p_oEvent
                                                    
                                                
                                                        , 
                                                         p_oButton
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "checkedChange" event handler for each button in the 
button group.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oEvent &lt;Event&gt;</code>
                                                             Object representing the event that was fired.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oButton &lt;<a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a>&gt;</code>
                                                             
Object representing the button that 
fired the event.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="_onKeyDown">_onKeyDown</a></h4>
                                    <div class="detail">
                                        <code>
                                         protected 
                                        
                                        
                                        void
                                            <strong>_onKeyDown</strong>
                                           (
                                                
                                                        
                                                         p_oEvent
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            "keydown" event handler for the button group.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oEvent &lt;Event&gt;</code>
                                                             Object representing the DOM event object passed 
back by the event utility (YAHOO.util.Event).
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="_setDisabled">_setDisabled</a></h4>
                                    <div class="detail">
                                        <code>
                                         protected 
                                        
                                        
                                        void
                                            <strong>_setDisabled</strong>
                                           (
                                                
                                                        
                                                         p_bDisabled
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the value of the button groups's "disabled" attribute.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_bDisabled &lt;Boolean&gt;</code>
                                                             Boolean indicating the value for the button
group's "disabled" attribute.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="_setOnInit">_setOnInit</a></h4>
                                    <div class="detail">
                                        <code>
                                         protected 
                                        
                                        
                                        void
                                            <strong>_setOnInit</strong>
                                           (
                                                
                                                        
                                                         p_oObject
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the value of the button group's "init" attribute.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oObject &lt;Object&gt;</code>
                                                             Object indicating the value for the button's 
"oninit" attribute.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="addButton">addButton</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        <a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a>
                                            <strong>addButton</strong>
                                           (
                                                
                                                        
                                                         p_oButton
                                                    
                                                

                                                

                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Adds the button to the button group.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oButton &lt;<a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a>&gt;</code>
                                                             
Object reference for the <a href="YAHOO.widget.Button.html">
YAHOO.widget.Button</a> instance to be added to the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oButton &lt;String&gt;</code>
                                                             String specifying the id attribute of the 
<code>&#60;input&#62;</code> or <code>&#60;span&#62;</code> element to be 
used to create the button to be added to the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oButton &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-
one-html.html#ID-6043025">HTMLInputElement</a>|<a href="
http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-html.html#
ID-33759296">HTMLElement</a>&gt;</code>
                                                             Object reference for the 
<code>&#60;input&#62;</code> or <code>&#60;span&#62;</code> element to be 
used to create the button to be added to the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oButton &lt;Object&gt;</code>
                                                             Object literal specifying a set of 
<a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a> configuration 
attributes used to configure the button to be added to the button group.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        <a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a>
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="addButtons">addButtons</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Array
                                            <strong>addButtons</strong>
                                           (
                                                
                                                        
                                                         p_aButtons
                                                    
                                                

                                                

                                                

                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Adds the array of buttons to the button group.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_aButtons &lt;Array&gt;</code>
                                                             Array of <a href="YAHOO.widget.Button.html">
YAHOO.widget.Button</a> instances to be added 
to the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aButtons &lt;Array&gt;</code>
                                                             Array of strings specifying the id attribute of 
the <code>&#60;input&#62;</code> or <code>&#60;span&#62;</code> elements to 
be used to create the buttons to be added to the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aButtons &lt;Array&gt;</code>
                                                             Array of object references for the 
<code>&#60;input&#62;</code> or <code>&#60;span&#62;</code> elements to be 
used to create the buttons to be added to the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_aButtons &lt;Array&gt;</code>
                                                             Array of object literals, each containing a set of 
<a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a> configuration 
attributes used to configure each button to be added to the button group.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Array
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="check">check</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>check</strong>
                                           (
                                                
                                                        
                                                         p_nIndex
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Checks the button at the specified index.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_nIndex &lt;Number&gt;</code>
                                                             Number indicating the index of the button to check.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="destroy">destroy</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>destroy</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes the button group's element from its parent element and 
removes all event handlers.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="focus">focus</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>focus</strong>
                                           (
                                                
                                                        
                                                         p_nIndex
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets focus to the button at the specified index.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_nIndex &lt;Number&gt;</code>
                                                             Number indicating the index of the button to focus.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getButton">getButton</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        <a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a>
                                            <strong>getButton</strong>
                                           (
                                                
                                                        
                                                         p_nIndex
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns the button at the specified index.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_nIndex &lt;Number&gt;</code>
                                                             The index of the button to retrieve from the 
button group.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        <a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a>
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getButtons">getButtons</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Array
                                            <strong>getButtons</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns an array of the buttons in the button group.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Array
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getCount">getCount</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>getCount</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns the number of buttons in the button group.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="init">init</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>init</strong>
                                           (
                                                
                                                        
                                                         p_oElement
                                                    
                                                

                                                

                                                
                                                        , 
                                                         p_oAttributes
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The ButtonGroup class's initialization method.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oElement &lt;String&gt;</code>
                                                             String specifying the id attribute of the 
<code>&#60;div&#62;</code> element of the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oElement &lt;<a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/
level-one-html.html#ID-22445964">HTMLDivElement</a>&gt;</code>
                                                             Object 
specifying the <code>&#60;div&#62;</code> element of the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oElement &lt;Object&gt;</code>
                                                             Object literal specifying a set of configuration 
attributes used to create the button group.
                                                        </dd>
                                                        <dd>
                                                            <code>p_oAttributes &lt;Object&gt;</code>
                                                             Optional. Object literal specifying a set of 
configuration attributes used to create the button group.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initAttributes">initAttributes</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initAttributes</strong>
                                           (
                                                
                                                        
                                                         p_oAttributes
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes all of the configuration attributes used to create  
the button group.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_oAttributes &lt;Object&gt;</code>
                                                             Object literal specifying a set of 
configuration attributes used to create the button group.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="removeButton">removeButton</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>removeButton</strong>
                                           (
                                                
                                                        
                                                         p_nIndex
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Removes the button at the specified index from the button group.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>p_nIndex &lt;Number&gt;</code>
                                                             Number specifying the index of the button to be 
removed from the button group.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a string representing the button group.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>

                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.util.Element.html">YAHOO.util.Element</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.util.Element.html#_registerHTMLAttr">_registerHTMLAttr</a>,
                                            <a href="YAHOO.util.Element.html#addClass">addClass</a>,
                                            <a href="YAHOO.util.Element.html#addListener">addListener</a>,
                                            <a href="YAHOO.util.Element.html#appendChild">appendChild</a>,
                                            <a href="YAHOO.util.Element.html#appendTo">appendTo</a>,
                                            <a href="YAHOO.util.Element.html#fireQueue">fireQueue</a>,
                                            <a href="YAHOO.util.Element.html#getElementsByClassName">getElementsByClassName</a>,
                                            <a href="YAHOO.util.Element.html#getElementsByTagName">getElementsByTagName</a>,
                                            <a href="YAHOO.util.Element.html#getStyle">getStyle</a>,
                                            <a href="YAHOO.util.Element.html#hasChildNodes">hasChildNodes</a>,
                                            <a href="YAHOO.util.Element.html#hasClass">hasClass</a>,
                                            <a href="YAHOO.util.Element.html#initAttributes">initAttributes</a>,
                                            <a href="YAHOO.util.Element.html#insertBefore">insertBefore</a>,
                                            <a href="YAHOO.util.Element.html#on">on</a>,
                                            <a href="YAHOO.util.Element.html#removeChild">removeChild</a>,
                                            <a href="YAHOO.util.Element.html#removeClass">removeClass</a>,
                                            <a href="YAHOO.util.Element.html#removeListener">removeListener</a>,
                                            <a href="YAHOO.util.Element.html#replaceChild">replaceChild</a>,
                                            <a href="YAHOO.util.Element.html#replaceClass">replaceClass</a>,
                                            <a href="YAHOO.util.Element.html#setStyle">setStyle</a>
                                    </code>
                                </div>
                            </div>
                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.util.AttributeProvider.html">YAHOO.util.AttributeProvider</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.util.AttributeProvider.html#configureAttribute">configureAttribute</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#fireBeforeChangeEvent">fireBeforeChangeEvent</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#fireChangeEvent">fireChangeEvent</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#get">get</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#getAttributeConfig">getAttributeConfig</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#getAttributeKeys">getAttributeKeys</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#refresh">refresh</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#register">register</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#resetAttributeConfig">resetAttributeConfig</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#resetValue">resetValue</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#set">set</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#setAttributeConfig">setAttributeConfig</a>,
                                            <a href="YAHOO.util.AttributeProvider.html#setAttributes">setAttributes</a>
                                    </code>
                                </div>
                            </div>
                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.util.EventProvider.html">YAHOO.util.EventProvider</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.util.EventProvider.html#createEvent">createEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#fireEvent">fireEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#hasEvent">hasEvent</a>,
                                            <a href="YAHOO.util.EventProvider.html#subscribe">subscribe</a>,
                                            <a href="YAHOO.util.EventProvider.html#unsubscribe">unsubscribe</a>,
                                            <a href="YAHOO.util.EventProvider.html#unsubscribeAll">unsubscribeAll</a>
                                    </code>
                                </div>
                            </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Events</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="init">init</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>init</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            Fires when the button group is initialized.  Subscribe to this 
event by specifying a value for the "oninit" configuration attribute.  
Format:<br> <code> {<br> <strong>fn:</strong> Function,   &#47;&#47; The 
handler to call when the event fires.<br> <strong>obj:</strong> Object, 
&#47;&#47; An object to pass back to the handler.<br> <strong>scope:</strong>
Object &#47;&#47; The object to use for the scope of the handler.<br> 
} </code>
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>


                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.util.Element.html">YAHOO.util.Element</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.util.Element.html#available">available</a>,
                                        <a href="YAHOO.util.Element.html#contentReady">contentReady</a>
                                </code>
                            </div>
                        </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Configuration Attributes</a></h3>
                            <div class="content">
                                    <h4><a name="checkedButton">checkedButton</a>
                                        <code>- {<a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a>}</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Reference for the button in the button group that 
is checked.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: null
                                    </div>        

                                    <hr />
                                    <h4><a name="container">container</a>
                                        <code>- <a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/
level-one-html.html#ID-58190037">HTMLElement</a>|String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            HTML element reference or string specifying the id 
attribute of the HTML element that the button group's markup should be 
rendered into.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: null
                                    </div>        

                                    <hr />
                                    <h4><a name="disabled">disabled</a>
                                        <code>- Boolean</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Boolean indicating if the button group should be disabled.  
Disabling the button group will disable each button in the button group.  
Disabled buttons are dimmed and will not respond to user input 
or fire events.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: false
                                    </div>        

                                    <hr />
                                    <h4><a name="name">name</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            String specifying the name for the button group.  This
name will be applied to each button in the button group.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: null
                                    </div>        

                                    <hr />
                                    <h4><a name="oninit">oninit</a>
                                        <code>- Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Object literal representing the code to be executed when 
the button group is initialized.  Format:<br> <code> {<br> 
<strong>fn:</strong> Function,   &#47;&#47; The handler to call when the 
event fires.<br> <strong>obj:</strong> Object, &#47;&#47; An object to 
pass back to the handler.<br> <strong>scope:</strong> Object &#47;&#47; 
The object to use for the scope of the handler.<br> } </code>
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: null
                                    </div>        

                                    <hr />
                                    <h4><a name="value">value</a>
                                        <code>- Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Object specifying the value for the button group.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: null
                                    </div>        

                                    <hr />

                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.util.Element.html">YAHOO.util.Element</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.util.Element.html#element">element</a>
                                </code>
                            </div>
                        </div>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class="selected"><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a></li>
                                <li class="selected"><a href="YAHOO.widget.ButtonGroup.html">YAHOO.widget.ButtonGroup</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="button.js.html">button.js</a></li>
                                <li class=""><a href="buttongroup.js.html">buttongroup.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#_buttons">_buttons</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#_oninitAttributeValue">_oninitAttributeValue</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#CSS_CLASS_NAME">CSS_CLASS_NAME</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#TAG_NAME">TAG_NAME</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code><a href="http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/
level-one-html.html#ID-22445964">HTMLDivElement</a></code>-->
                                <a href="#_createGroupElement">_createGroupElement</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#_onAppendTo">_onAppendTo</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#_onButtonCheckedChange">_onButtonCheckedChange</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#_onKeyDown">_onKeyDown</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#_setDisabled">_setDisabled</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#_setOnInit">_setOnInit</a>
                                </li>
                                <li><!--<code><a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a></code>-->
                                <a href="#addButton">addButton</a>
                                </li>
                                <li><!--<code>Array</code>-->
                                <a href="#addButtons">addButtons</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#check">check</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#destroy">destroy</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#focus">focus</a>
                                </li>
                                <li><!--<code><a href="YAHOO.widget.Button.html">YAHOO.widget.Button</a></code>-->
                                <a href="#getButton">getButton</a>
                                </li>
                                <li><!--<code>Array</code>-->
                                <a href="#getButtons">getButtons</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#getCount">getCount</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#init">init</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initAttributes">initAttributes</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#removeButton">removeButton</a>
                                </li>
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Events</h4>
                        <ul class="content">        
                                <li>
                                <a href="#init">init</a>
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Configuration Attributes</h4>
                        <ul class="content">        
                                <li>
                                <a href="#checkedButton">checkedButton</a>
                                </li>
                                <li>
                                <a href="#container">container</a>
                                </li>
                                <li>
                                <a href="#disabled">disabled</a>
                                </li>
                                <li>
                                <a href="#name">name</a>
                                </li>
                                <li>
                                <a href="#oninit">oninit</a>
                                </li>
                                <li>
                                <a href="#value">value</a>
                                </li>
                        </ul>
                    </div>

            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
